summaryrefslogtreecommitdiff
path: root/scripts/updater.sh
diff options
context:
space:
mode:
authorZe Libertine Gamer <zlg@zlg.space>2016-11-03 07:02:05 -0700
committerZe Libertine Gamer <zlg@zlg.space>2016-11-03 07:02:05 -0700
commit017536123a5d334759ed54aff610b22a8d6c8254 (patch)
tree416188c268a9f1621fa9ed183139fded80f837d7 /scripts/updater.sh
parentCorrect run_again, add recursion (diff)
downloadvgstash-017536123a5d334759ed54aff610b22a8d6c8254.tar.gz
vgstash-017536123a5d334759ed54aff610b22a8d6c8254.tar.bz2
vgstash-017536123a5d334759ed54aff610b22a8d6c8254.tar.xz
vgstash-017536123a5d334759ed54aff610b22a8d6c8254.zip
Improve error handling in shell scripts
Diffstat (limited to 'scripts/updater.sh')
-rwxr-xr-xscripts/updater.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/updater.sh b/scripts/updater.sh
index 4197246..cdf78a0 100755
--- a/scripts/updater.sh
+++ b/scripts/updater.sh
@@ -4,6 +4,11 @@
# TODO: Refactor into multiple functions to improve error-handling.
+# Set options for improved robustness
+set -o errexit
+set -o pipefail
+set -o nounset
+
# Color escapes we'll use
norm=""
BG="" # Green